# Copyright 2026 SigmaSRC, Inc. All Rights Reserved.

"""Gather the poliwall output.

This is not really a regular gather, since the work is done by the
toplevel pwall.py script.  This gather script exists so that the
it can be controlled from the Information and Status Directive.

"""

if __name__ == "__main__":
    import os
    import sys
    try:
        import sigma
    except ImportError:
        sys.path.append(os.path.join(os.pardir, os.pardir))
    del sys
    del os

import os
import socket

def Gather(collector):
    import pwgather
    pwgather.main([])

def _test():
    from sigma.gather import gathering
    gathering.test(Gather)

if __name__ == "__main__":
    _test()
